//-------------------------------
// File:			Media.h
// Function:		Media driver superclass
// Supported Toolchain(s):
//		- Microsoft Visual C++
// Date created:	23-May-2006
// Created by:		JJo
//-------------------------------

#ifndef FIRMWARE_UPGRADER_MEDIA_H
#define FIRMWARE_UPGRADER_MEDIA_H

//-------------------------------
// Class

class Media {

public:
	Media::Media() {}
	virtual Media::~Media() {}

	virtual unsigned long Media::Write(const void * data, unsigned int size) = 0;
	virtual unsigned long Media::Read(void * data, unsigned int size) = 0;
	virtual unsigned long Media::Poll() = 0;
};

#endif
